Copyright

DataDirect Connect ODBC for XML

© 1999 MERANT. All rights reserved.

DataDirect, INTERSOLV, Middleware, and SequeLink are registered trademarks, and DataDirect Connect Integrator, DataDirect Connect ODBC, DataDirect Connect OLE DB, DataDirect Reflector, DataDirect SequeLink Integrator, and WebDBLink, are trademarks of MERANT. All other trademarks are the property of their respective owners.


About Connect ODBC for XML

Connect ODBC for XML (the "XML driver") supports XML files in the Windows 9x and Windows NT environments.

The XML driver file name is IVXMLnn.DLL, where nn is the revision level.


XML System Requirements
System Requirements

To have access to embedded Internet Explorer 5 Data Islands, you must use Internet Explorer 5. You can use an earlier browser version; however, you will not have access to embedded Internet Explorer 5 Data Islands.


Configuring XML Data Sources
Configuring Data Sources

To configure an XML data source, do the following:

1	Start the ODBC Administrator to display a list of data sources.

2	If you are configuring an existing data source, select the data source name and click Configure to display the ODBC XML Driver Setup dialog box.

If you are configuring a new data source, click Add to display a list of installed drivers. Select XML and click Finish to display the ODBC XML Driver Setup dialog box.

3	Specify a data source name, a description (optional), and a location. Click Apply.

4	Click Test Connect to attempt to connect to the data source using the connection properties specified in the Driver Setup dialog box.

5	Click the Advanced tab to configure optional data source settings. Click Apply.

6	Click the Options tab to configure advanced options. Click Apply.

7	Click OK or Cancel. If you click OK, the values you have specified become the defaults when you connect to the data source. You can change these defaults by using this procedure to reconfigure your data source. You can override the defaults by connecting to the data source using a connection string with alternate values.


Test Connection

At any point during the configuration process, you can click Test Connect to attempt to connect to the data source using the connection properties specified in the Driver Setup dialog box. A Logon dialog box is displayed. After providing connection information, click OK.

•	If the driver can connect, it releases the connection and displays a "connection established" message. Click OK.

•	If the driver cannot connect because of an improper environment or incorrect connection value, it will display an appropriate error message.

Verify that the all required client software is properly installed. If it is not, you will see the message:

Specified driver could not be loaded due to system error [xxx].

Click OK.


Connecting to XML Using a Logon Dialog
Connecting to a Data Source Using a Logon Dialog

Some ODBC applications display a Logon dialog box when you are connecting to a data source.

In the Logon dialog box, do the following:

1	Type the URL or directory that contains the XML files into the entry field.

To browse for the directory, click the button next to the Location field.

2	Click OK.


Connecting to XML Using a Connection String
Connecting to a Data Source Using a Connection String

If your application requires a connection string to connect to a data source, you must specify the data source name that tells the driver which section in the system information to use for the default connection information. Optionally, you may specify attribute=value pairs in the connection string to override the default values stored in the system information. These values are not written to the system information.

The connection string has the form:

DSN=data_source_name[;attribute=value[;attribute=value]...]

An example of a connection string for XML is:

DSN=XML FILES;Create Type=ADO25

The paragraphs that follow give the names and descriptions of the attributes. The defaults listed are initial defaults that apply when no value is specified in either the connection string or in the data source definition in the system information. If you specified a value for the attribute when configuring the data source, that value is the default.

Create Type: Create Type={IE5DataIsland | ADO25}. Determines the style of XML that is generated when a new table is created. The default is IE5DataIsland. New tables are generated with the Internet Explorer 5 Data Island XML style. Specify ADO25 to generate new tables with the ADO 2.5 XML style.

Delete Schema: Delete Schema={0 | 1}. Specifies whether externally linked schema files are deleted when a table is deleted. The XML file for the table contains a link to this external schema file. If multiple XML files are linked to the same schema file, the schema file should not be deleted when a table is deleted. The default is 0.

International Sort: International Sort={0 | 1}. Determines the order that records are retrieved when you issue a Select statement with an Order By clause. If International Sort=0 (the default), the driver uses the ASCII sort order. This order sorts items alphabetically with uppercase letters preceding lowercase letters. For example, “A, b, C” would be sorted as “A, C, b.”

If International Sort=1, the driver uses the international sort order as defined by your operating system. This order is always alphabetic, regardless of case; the letters from the previous example would be sorted as “A, b, C.” See your operating system documentation concerning the sorting of accented characters.

Log Column Info: Log Column Info={0 | 1}. Enables logging of additional column information for each object in the resultset tree. The default value is 0.

Log Filename: Defines the name of the file in which logging will occur.

Log Flush: Log Flush={0 | 1}. Specifies whether to flush logging information to disk frequently, ensuring that the most recent data is available. Enabling this property can significantly slow down the logging speed. The default value is 0.

Log Overwrite: Log Overwrite={0 | 1}. Specifies whether the log file is truncated during each session, overwriting any previous log information. The default value is 1.

NOTE: Setting this value to 0 might cause the XML driver to generate extremely large log files.

Log Properties: Log Properties={0 | 1}. Enables logging of property information. Properties requested on the command, any properties that accompany calls to OpenRowset, and properties supported by the underlying provider’s rowset objects are logged. The default value is 1.

Logging: Logging={0 | 1}. Enables internal logging. The amount of logging is controlled by other attributes that must be set in the connection string. The default value is 0. The default log file name is \Integrator.txt.

Max BLOB Compare Size: Specifies the number of bytes at the beginning of a BLOB when making comparisons in the XML driver’s evaluator. If a BLOB is larger than specified length, it is truncated before comparison.

Max BLOB Sort Size: Specifies the number of bytes at the beginning of a BLOB that are used when performing an Order By, Distinct, or Group By on a BLOB column. This option can affect in-memory indexes that are built over BLOB columns during a join. The default value is 512.

NOTE: Do not set the value higher than the default if the client application will use BLOBs as join condition columns.

Mode: Mode={1 | 2 | 3}}. Specifies access permissions as follows:

1 is Read-only.
2 is Write-only.
3 is Read/write (the default).

Read Only: Read Only={0 | 1}. Can override the connection attribute to force a data source to be read-only.

Resolve External: Resolve External={0 | 1}. This enables the resolution of external references, such as DTDs, Schemas, Entities, and Notations. The default is 1. The value 0 allows the document to be processed, even if the XML parser cannot locate the external references.

Row Hint: This string specifies an XSL pattern to identify the nodes that make up the rows in the rowset.

Table Hint: This string specifies an XSL pattern to identify the table or rowset nodes in an XML file.

Use Floating Point Rounding: Use Floating Point Rounding={0 | 1}. Specifies whether the XML evaluator will perform a small amount of rounding when comparing floating-point numbers. The binary representation of two identical floating-point numbers can be slightly different. When enabled, the evaluator compensates for this when comparing floating-point numbers. The default value is 0.

Validate Schema: Validate Schema={0 | 1}. Enables the validation of the XML file against its schema. The default is 0. This allows a well-formed XML document to be processed, even if the document is not valid.

XML.Initial Catalog: This attribute specifies the name of an initial directory or URL that contains XML or HTML files. When defined, schema rowsets look in this location to find tables.


Data Types

XML data types map to the standard ODBC data types as follows:

XML	ODBC
Binhex	SQL_LONGVARBINARY
Boolean	SQL_BIT
Char	SQL_TINYINT
Currency	SQL_DECIMAL
Date	SQL_TYPE_DATE
Datetime	SQL_TYPE_TIMESTAMP
Float	SQL_DOUBLE
Integer	SQL_LONGVARCHAR
i1	SQL_TINYINT
i2	SQL_SMALLINT
i4	SQL_INTEGER
Int	SQL_INTEGER
Number	SQL_DOUBLE
r4	SQL_REAL
r8	SQL_DOUBLE
String	SQL_LONGVARCHAR
Time	SQL_DOUBLE
ui1	SQL_SMALLINT
ui2	SQL_TIME
ui4	SQL_INTEGER


ODBC Conformance Level

The API functions supported are listed in ODBC Functions Supported, found in the General Help section of the Connect OCBC Help. In addition, the following function is supported: SQLSetPos.


Number of Connections and Statements Supported

There is no limit to the number of connections and statements supported.


General Tab, ODBC XML Driver Setup

Use the ODBC XML Driver Setup dialog box to create new XML data sources or configure existing data sources.

Data Source Name: A string that identifies this XML data source configuration in the system information. Examples include "Accounting" or "XML Files."

Description: An optional long description of a data source name. For example, "My Accounting Files" or "My XML Files in the Accounting Directory."

Location: Type a directory or URL that contains the XML files. To browse for the directory, click the button next to the Location field to open the Find Directory window. After you have located the directory, select any file within the directory and click Open. Even though you are choosing a directory and not a specific file, you must select a file before you can close the Find Directory window by clicking Open.

Advanced Tab

Displays the Advanced tab, where you can configure optional data source settings, such as file caching.

Options Tab

Displays the Options tab, where you can configure advanced options, such as select method.

OK

Cancel

Apply

Test Connect


Advanced Tab, ODBC XML Driver Setup

Use the Advanced tab on the ODBC XML Driver Setup dialog box to specify optional settings when you create new XML data sources or configure existing data sources.

Table Hint: A string that specifies an XSL pattern to identify the table or rowset nodes in an XML file.

Row Hint: A string that specifies an XSL pattern to identify the nodes that make up the rows in the rowset.

Validate Schema: This check box enables the validation of the XML file against its schema. By default, this check box is selected. To process an XML document even if the document is not valid, clear the check box.

Resolve External References: This check box enables the resolution of external references, such as DTDs, Schemas, Entities, and Notations. By default, this check box is selected. Clearing this box allows the document to be processed, even if the XML parser cannot locate the external references.

Table Creation: These radio buttons determine the style of XML that is generated when a new table is created. By default, Data Island Format is selected.

Data Island Format—This button causes new tables to be generated with the IE 5 Data Island XML style.

ADO Format—This button causes new tables to be generated with the ADO 2.5 XML style.

Delete Linked Schema: This check box specifies whether externally linked schema files are deleted when a table is deleted. The XML file for the table contains a link to this external schema file. If multiple XML files are linked to the same schema file, the schema file should not be deleted when a table is deleted. By default, this check box is selected.

Logging: This check box controls whether logging is enabled. The log file logs the SQL execution plan. By default, this check box is not selected. If you select the check box, a log file will be created in the current directory. The default log file name is \Integrator.txt.

International Sort Order: A setting to indicate the order in which records are retrieved when you issue a Select statement with an Order By clause. Clear this box to use ASCII sort order (the default setting). This order sorts items alphabetically with uppercase letters preceding lowercase letters. For example, "A, b, C" would be sorted as "A, C, b."

Select this box to use international sort order as defined by your operating system. This order is always alphabetic, regardless of case; the letters from the previous example would be sorted as "A, b, C." See your operating system documentation concerning the sorting of accented characters.

OK

Cancel

Apply

Test Connect


Options Tab, ODBC XML Driver Setup

Use the Options tab on the ODBC XML Driver Setup dialog box to specify optional settings when you create new XML data sources or configure existing data sources.

Driver Options: Use this field to add configuration options specific to the XML driver.

WARNING: The properties you set in the Options tab override other properties for this session only and can adversely affect the operation of the data provider. Use only authorized entries. For information about authorized entries for the Options tab, contact MERANT technical support.

OK

Cancel

Apply

Test Connect


XML File Location

Use the Fnd Directory window to locate to the directory where your XML files are located. After you have located the directory, select any file within the directory and click Open. Even though you are choosing a directory and not a specific file, you must select a file before you can close the Find Directory window by clicking Open.


Logon to XML Dialog

Location: Type the URL or directory that contains the XML files into the entry field.

To browse for the directory, click the button next to the Location field.


Apply Button

Writes the settings you have specified to the system information. These settings remain in effect until you change them in this dialog box. Clicking Cancel does not affect settings that have been applied.


OK Button

Writes the settings you have specified to the system information and closes the dialog box.


Cancel Button

Closes the dialog box without saving settings that have not been applied.


Contacting Technical Support

MERANT provides technical support for all registered users of this product, including limited installation support for the first 30 days. If you need support after that time, contact us using one of the methods below or purchase further support by enrolling in the SupportNet program. For more information about SupportNet, contact your sales representative.

The MERANT Web site contains up-to-date technical support information under SupportNet. SupportNet Online is our global service network that provides access to valuable tools and information in an online community for users. Our SupportNet Community shares information via the Web, automatic email notification, newsgroups, and regional user groups. SupportNet Online also includes a KnowledgeBase that allows you to search on keywords for technical bulletins and how-to information. You can also download fix releases for your DataDirect products.

World Wide Web

http://www.merant.com/datadirect/support

E-Mail

Australia and New Zealand	australia.answerline@merant.com
Europe, Middle East, and Africa	int.datadirect.answerline@merant.com
Japan	jpn.answerline@merant.com.jp
USA and Canada	datadirect.answerline@merant.com
Local Telephone Support

Australia	1 800 335 664 or Melbourne Metro 9816 9977	8:30-5:30 p.m. LMT
Belgium	0800 724 61	9:00 a.m.-6:30 p.m. CET
England	0808 1002672	8:00 a.m.-5:30 p.m. GMT
France	0800 91 56 07	9:00 a.m.-6:30 p.m. CET
Germany	0130 822 496	9:00 a.m.-6:30 p.m. CET
Italy	800 791179	9:00 a.m.-6:30 p.m. CET
Japan	81-3-5401-9660	9:00 a.m-12:00 p.m. and 1:00 p.m.-5:00 p.m. JST
The Netherlands	0800 022 1609	9:00 a.m.-6:30 p.m. CET
New Zealand	1 800 335 664	8:30 a.m.-5:30 p.m. LMT
Scotland	0808 1002672	8:00 a.m.-5:30 p.m. GMT
South Africa	0800 991115	9:00 a.m.-6:30 p.m. CET
Spain	900 968 929	9:00 a.m.-6:30 p.m. CET
Switzerland	0800 836737 (French) 0800 836736 (German)	9:00 a.m.-6:30 p.m. CET
USA and Canada	1 800 443 1601	8:30 a.m.-8:00 p.m. EST
* Abbreviations: CET—Central European Time; EST—Eastern Standard Time; GMT—Greenwich Mean Time; JST—Japanese Standard Time;
LMT—Local Melbourne Time.

International Telephone Support

English-speaking support	+44 1727 811122	9:00 a.m.-6:30 p.m. CET
French-speaking support	+44 1727 811289	9:00 a.m.-6:30 p.m. CET
German-speaking support	+44 1727 811312	9:00 a.m.-6:30 p.m. CET
* Abbreviation: CET—Central European Time.

Fax and Mail Information

Fax US	1 919 461 4527
Fax Int.	+32-15-320919
Mail	1500 Perimeter Park Drive, Suite 100, Morrisville, NC 27560 USA

Information to Provide

When you contact us, please include this information:

•	The product serial number located on the Product Registration Information card or on a product serial number card in the box. The number will be checked to verify your eligibility to receive support. If you do not have a current SupportNet contract, we will ask that you speak with a sales representative.

•	Your name and organization. On a first-time call, you may be asked for full customer information including location and contact details.

•	The version number of the DataDirect product you are using.

•	The type and version of the operating system you are using.

•	Any third party software and other environmental information necessary to understand the problem.

•	A brief description of the problem and the steps necessary to re-create it. Specific error messages are needed. Depending on the complexity of the problem, you may be asked to submit a recreatable example demonstrating the problem.

•	An assessment of the severity level of the reported problem.